<?php
/**
 * @copyright NetMonsters <team@netmonsters.ru>
 * @link http://netmonsters.ru
 * @package Majestic
 * @subpackage validator
 * @since 2010-04-26
 */

class EmailValidator extends RegexValidator
{
    /**
     * @var string
     * https://tools.ietf.org/html/rfc5322#section-3.4.1
     * https://tools.ietf.org/html/rfc5321#section-4.5.3
     */
    protected $regex = '/^([a-z0-9._-]{1,64})\@([a-z0-9-]{2,250}\.)+\w{2,5}$/i';
    
    public function __construct(){}
}